<?php
function create_radioButton( $radioButton,
                             $radioButton_Conf)
{
	
  if( $radioButton_Conf['enabled'] == 'true' )
  {
      $enabled = "";
  }else
  {
      $enabled = "disabled";
  }// End if( $radioButton_Conf['enabled'] == 'true' )

  if( $radioButton_Conf['caption'] == 'auto' )
  {
    $label = $radioButton;
  }else
  {
    $label = $radioButton_Conf['caption'];
  }// End if( $radioButton_Conf['caption'] == 'auto' )

  if ( $radioButton_Conf[ 'alt_key' ] == 'null' || $radioButton_Conf[ 'caption' ] == ''  )
  {
    $alt_key = '';
  }else
  {
    $alt_key = $radioButton_Conf[ 'alt_key' ];
    $ix = strpos( $label, $alt_key );
    $label = substr( $label, 0, $ix ) . '<span id="'.$radioButton.'_key">'.$alt_key.'</span>' . substr( $label, $ix+1 );
  }//End if ( $radioButton_Conf[ 'alt_key' ] == 'null' )

  if( $radioButton_Conf['tab_index'] == 'auto' )
  {
    $tab_index = '';
  }else
  {
    $tab_index = $radioButton_Conf['tab_index'];
  }//End if( $radioButton_Conf['tab_index'] == 'auto' )

  if( $radioButton_Conf['grupo'] == 'auto' )
  {
  	$grupo = $radioButton_Conf['name'];
  }else
  {
  	$grupo = $radioButton_Conf['grupo'];
  }// End if( $radioButton_Conf['grupo'] == 'auto' )

  global $_desenv_;
  $path_img = "http://";

  
  writeTO( '<label id="'.$radioButton.'_Caption"  for="'.$radioButton.'_Check"    ' );
  writeTO( '       accesskey="' . $alt_key . '" ' .$enabled. '>             ' );
  writeTO( '  ' . $label . '</label>                                        ' );
  writeTO( '<input id="' . $radioButton . '_Check"    name="' . $grupo . '" ' );
  writeTO( '       type="radio"              checked="true"                 ' );
  writeTO( '    tab_index="'.$tab_index.'" '      .$enabled. '/>            ' );

}// End create_radioButton()


/**
 *
 */
function create_radioButton_css( $radioButton,
                                 $radioButton_Global,
                                 $radioButton_Style,
                                 $radioButton_Conf  )
{
  $visible = ( $radioButton_Conf['visibility'] == 'true' ) ? 'inherit':'hidden';
  $paddingTop = 0;
  $paddingBottom = 10;
  $paddingLeft = 5;

  $lenLabel    = $radioButton_Conf['label_len'];
  $lenCheck    = $radioButton_Conf['check_len'];
  $initCheck   = ( $lenLabel ) + 15;
  $colorBorder = '#808080';
//  $paddingBottom
  if ( $radioButton_Conf['font_size'] == 'auto' )
  {
    $fontSize = $radioButton_Global['fontSize'];
  }else
  {
    $fontSize = $radioButton_Conf['font_size'];
  }

  writeTO( '  #' . $radioButton . '{ '                                          );
  writeTO( '    position:absolute;'                                      );
  writeTO( '    top:' . $radioButton_Global['top'] . 'px'                 . ';' );
  writeTO( '    left:' .$radioButton_Global['left']. 'px'               . ';' );
  writeTO( '    '                                                        );
  writeTO( '    z-index:10;'                                             );
  writeTO( ''                                                            );
  writeTO( '    width:' . ( $initCheck + $lenCheck + 15 ). 'px'  . ';' );
  writeTO( '    height:' . $radioButton_Global['height'] .            'px;'   );
  writeTO( '    '                                                        );
  writeTO( '    padding-top:'       . $paddingTop .              'px;'    );
  writeTO( '    padding-bottom:'  . $paddingBottom .             'px;'    );
  writeTO( '    '                                                        );
  writeTO( '    color:' . $radioButton_Conf['font_color']                 . ';' );
  writeTO( '    background-color:' . $radioButton_Conf['back_ground']     . ';' );
  writeTO( '    '                                                        );
  writeTO( '    visibility:'.$visible.';'                                );
  writeTO( '    '                                                        );
  writeTO( '    border-top:'    . $radioButton_Style['borderTop']         . ';' );
  writeTO( '    border-bottom:' . $radioButton_Style['borderBottom']      . ';' );
  writeTO( '    border-left:'   . $radioButton_Style['borderLeft']        . ';' );
  writeTO( '    border-right:'  . $radioButton_Style['borderRight']       . ';' );
  writeTO( '  }'                                                         );
  writeTO( '  '                                                          );
	writeTO( '  #' . $radioButton . '_Caption{ '                                  );
  writeTO( '    position:absolute;'                                      );
  writeTO( '    top:5px'                                           . ';' );
  writeTO( '    left:' . ( $lenCheck + 5 ).             'px'       . ';' );
  writeTO( '    '                                                        );
  writeTO( '    font-size:' . $fontSize . 'px'   . ';'                   );
  writeTO( '    width:'.$lenLabel . 'px'                           . ';' );
  writeTO( '    height:'  .$radioButton_Global['height'] .           ';' );
  writeTO( '  }'                                                         );
  writeTO( '  '                                                          );
  writeTO( '  #' . $radioButton . '_Check{ '                                  );
  writeTO( '    position:absolute;'                                      );
  writeTO( '    top:0px'                                           . ';' );
  writeTO( '    left:' . ( ( $lenCheck + 5 ) - $lenCheck - 5  )   . 'px;' );
  writeTO( '    '                                                        );
  writeTO( '    font-size:' . $fontSize . 'px'   . ';'                   );
  writeTO( '    width:'.$lenCheck . 'px'                           . ';' );
  writeTO( '    height:' . $lenCheck .     'px'                    . ';' );
  writeTO( '  }'                                                         );
  writeTO( '  #' . $radioButton . '_key{ '                                  );
  writeTO( '    text-decoration:underline;'                              );
  writeTO( '  }'                                                         );
  writeTO( '  '                                                          );

}// End function create_radioButton_css( $radioButton,


  function create_radioButton_control( $modo_RAD )
  {
    global $componentes_no_Prj,
           $projeto,
           $esquema;

    //$path  = ( $modo_RAD )? CFG : _CFG_;
    $path  = ( defined('STUDIO') )? _CFG_ : _CFG_;

    $nDest = $path . "radioButton.control.js.php";
    $comp  = $componentes_no_Prj;

    $fp = @fopen( $nDest, 'wb' );
    foreach( $comp as $comp_ => $obj_ )
    {
      if( $comp_ == 'radioButton' )
      {
        $nrObj  = 0;
        $arrObj = array();
        $arrConf = array();

        /**
         *  Lista das Propriedades
         */
        $radioButton_enabled = array();

        /**
         *  conta o numero de objetos radioButton no projeto
         *  e armazena os nomes de cada Objetos no
         *  array $arrObj
         */
        foreach( $obj_ as $i_ => $v_ )
        {
          $arrObj[ $nrObj ] = $i_;

          /**
           *  inclui o arquivo .config.def.php de cada Objeto
           */
          include( $path . $i_ . ".config.def.php" );
          $nConf_ = $i_ . "_Conf";
          $arrConf[$i_] = $$nConf_;

          $nrObj ++;
        }// end foreach( $obj_ as $i_ => $v_ )
        writeTO( "radioButton_obj = ". $nrObj .";", $fp );
        writeTO( "radioButton_enabled = new Array();", $fp );
        writeTO( " ", $fp );

        $idx = 0;
        foreach( $arrConf as $ind => $val)
        {
          writeTO( 'radioButton_enabled['.$idx . '] = '  . $val['enabled'] .';', $fp );
          $idx ++;
        }// End foreach($arrConf as $ind => $val)
        writeTO( " ", $fp );


      }// End if( $comp_ == 'radioButton' )
    }// End foreach( $comp as $comp_ => $obj_ )
    fclose( $fp );

    return( $nDest );
  }// End function create_radioButton_control( $modo_RAD )

?>
